<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Consultation_V2 StructType
 * @subpackage Structs
 */
class Consultation_V2 extends Consultation
{
    /**
     * The ModificationID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $ModificationID;
    /**
     * Constructor method for Consultation_V2
     * @uses Consultation_V2::setModificationID()
     * @param int $modificationID
     */
    public function __construct($modificationID = null)
    {
        $this
            ->setModificationID($modificationID);
    }
    /**
     * Get ModificationID value
     * @return int
     */
    public function getModificationID()
    {
        return $this->ModificationID;
    }
    /**
     * Set ModificationID value
     * @param int $modificationID
     * @return \StructType\Consultation_V2
     */
    public function setModificationID($modificationID = null)
    {
        // validation for constraint: int
        if (!is_null($modificationID) && !(is_int($modificationID) || ctype_digit($modificationID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($modificationID, true), gettype($modificationID)), __LINE__);
        }
        $this->ModificationID = $modificationID;
        return $this;
    }
}
